<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
    lt_include( PLOG_CLASS_PATH."plugins/contentfilter/class/view/adminnewblogfilteredcontentview.class.php" );

    /**
     * Shows a form to add a new blocked content to the blog
     */
    class AdminNewBlogFilteredContentAction extends AdminAction 
	{

    	function AdminNewBlogFilteredContentAction( $actionInfo, $request )
        {
        	$this->AdminAction( $actionInfo, $request );

			$this->requirePermission( "manage_plugins" );
        }

        function perform()
        {
        	$this->_view = new AdminNewBlogFilteredContentView( $this->_blogInfo );
        	
            $this->setCommonData();

            return true;
        }
    }
?>
